import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infbcd{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							trnp:{
								prtpanblk:"",			//  XMLPanel prtpan的内置block		.infcon.trnp.prtpanblk
							},
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
						},
						seadoctypcod:"",			//  Payment Condition		.seadoctypcod
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
							vermod:{
								difsrm:"",			//  displayable stream of differences		.infbut.vermod.difsrm
							},
						},
						seagodcod:"",			//  Goods Code		.seagodcod
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						bcdgrp:{
							rec:{
								relgodflg:"",			//  Release of Goods		.bcdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.bcdgrp.rec.reltyp
								relgoddat:"",			//  Release Date		.bcdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.bcdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.bcdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. Ref.		.bcdgrp.rec.trpdocnum
								tradat:"",			//  Document Dated		.bcdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.bcdgrp.rec.tramod
								shpfro:"",			//  Shipment from		.bcdgrp.rec.shpfro
								shpto:"",			//  Shipment to		.bcdgrp.rec.shpto
								rtodreflg:"",			//  Release to Drawee Flag		.bcdgrp.rec.rtodreflg
								agtdat:"",			//  Agent's Invoice Dated Tag 43C		.bcdgrp.rec.agtdat
								ownref:"",			//  Reference		.bcdgrp.rec.ownref
								resflg:"",			//  Reserved Contract		.bcdgrp.rec.resflg
								dftgarflg:"",			//  Draft to be Guaranteed		.bcdgrp.rec.dftgarflg
								rcvdat:"",			//  Docs received on		.bcdgrp.rec.rcvdat
								predat:"",			//  Date of Remittance Lt.		.bcdgrp.rec.predat
								advdat:"",			//  Advised on		.bcdgrp.rec.advdat
								oridre:"",			//  Send Original Documents to Drawee		.bcdgrp.rec.oridre
								doctypcod:"",			//  Collection Condition		.bcdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.bcdgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bcdgrp.rec.matpercnt
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bcdgrp.rec.matpertyp
								matperbeg:"",			//  Tenor Starting from		.bcdgrp.rec.matperbeg
								stacty:"",			//  Country Code Risk Country		.bcdgrp.rec.stacty
								nam:"",			//  Name		.bcdgrp.rec.nam
								invtyp:"",			//  发票类型		.bcdgrp.rec.invtyp
								chato:"",			//  Our Charges to		.bcdgrp.rec.chato
								focflg:"",			//  Free of Payment		.bcdgrp.rec.focflg
								waicolcod:"",			//  Waive Collecting Bank Charges		.bcdgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bcdgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bcdgrp.rec.othins
								stagod:"",			//  Good's Code (for Statistics)		.bcdgrp.rec.stagod
								proins:"",			//  Protest Instructions		.bcdgrp.rec.proins
							},
							blk:{
								vesselnam:"",			//  Vessel Name		.bcdgrp.blk.vesselnam
								covgod:"",			//  Covered Goods		.bcdgrp.blk.covgod
								reladr:"",			//  Release to Address		.bcdgrp.blk.reladr
								bctfre:"",			//  Free Text Tag 42J		.bcdgrp.blk.bctfre
								docpre:"",			//  Presented Documents		.bcdgrp.blk.docpre
								intins:"",			//  Interest Instructions		.bcdgrp.blk.intins
								agtaut:"",			//  Authority of Agent		.bcdgrp.blk.agtaut
								agtinf:"",			//  Further Information		.bcdgrp.blk.agtinf
								bcgdet:"",			//  Maturity Text		.bcdgrp.blk.bcgdet
								bcgdetflg:"",			//  BC Tenor Details modified		.bcdgrp.blk.bcgdetflg
								colins:"",			//  Collection Instructions		.bcdgrp.blk.colins
								dftins:"",			//  Draft Instructions		.bcdgrp.blk.dftins
								othins:"",			//  Other Instructions		.bcdgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bcdgrp.blk.chgtxt
							},
							rog:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rog.namelc
								adrelc:"",			//  地址		.bcdgrp.rog.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rog.dbfadrblkcn
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.dre.namelc
								adrelc:"",			//  地址		.bcdgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.dre.dbfadrblkcn
							},
							co2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.co2.namelc
								adrelc:"",			//  地址		.bcdgrp.co2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.co2.dbfadrblkcn
							},
							rmi:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rmi.namelc
								adrelc:"",			//  地址		.bcdgrp.rmi.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rmi.dbfadrblkcn
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.drr.namelc
								adrelc:"",			//  地址		.bcdgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.drr.dbfadrblkcn
							},
							agt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.agt.namelc
								adrelc:"",			//  地址		.bcdgrp.agt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.agt.dbfadrblkcn
							},
							agb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.agb.namelc
								adrelc:"",			//  地址		.bcdgrp.agb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.agb.dbfadrblkcn
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bcdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.bcdgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bcdgrp.cbs.opn1.amt
								},
							},
						},
						recpan:{
							rogp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.rogp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.rogp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							co2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.co2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.co2p.ptsget.sdamod.dadsnd
									},
								},
							},
							rmip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.rmip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.rmip.ptsget.sdamod.dadsnd
									},
								},
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							agtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.agtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.agtp.ptsget.sdamod.dadsnd
									},
								},
							},
							agbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.agbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.agbp.ptsget.sdamod.dadsnd
									},
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.recpan.usr.extkey
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.recpan.docgrdm.docdsclab
							},
							sblx:"",			//  申报类型		.recpan.sblx
							acttyplab:"",			//  款项去向		.recpan.acttyplab
							acttyp:"",			//  ACTTYP		.recpan.acttyp
						},
						trnmod:{
							seclab:"",			//  static		.trnmod.seclab
							commetlab:"",			//  自槸区备注label		.trnmod.commetlab
							recbchnam:"",			//  接收行名称		.trnmod.recbchnam
							recbchkey:"",			//  接收行行号		.trnmod.recbchkey
							pyeact:"",			//  收款人账号		.trnmod.pyeact
							flg:"",			//  电汇凭证		.trnmod.flg
							bustyp:"",			//  业务种类		.trnmod.bustyp
							secmod:"",			//  二代模式		.trnmod.secmod
							orcnam:"",			//  付款人名称		.trnmod.orcnam
							orcadr:"",			//  付款人地址		.trnmod.orcadr
							pyenam:"",			//  收款人名称		.trnmod.pyenam
							pyeadr:"",			//  收款人地址		.trnmod.pyeadr
							pyebchkey:"",			//  收款人开户行行号		.trnmod.pyebchkey
							pyebchnam:"",			//  收款人开户行		.trnmod.pyebchnam
							commen:"",			//  附言		.trnmod.commen
							comsystbl:"",			//  自槸区备注		.trnmod.comsystbl
							ptsmod:{
								fecinf:{
									fecstm:"",			//  Stream of fee conditions of passed object		.trnmod.ptsmod.fecinf.fecstm
								},
							},
							trndoc:{
								ersmod:{
									ersimm:{
										docedipblk:"",			//  XMLPanel docedip的内置block		.trnmod.trndoc.ersmod.ersimm.docedipblk
									},
								},
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}